Bug 1455591

Summary: [Docs) Add additional clarification regarding network and latency requirements
Product: Red Hat Gluster Storage Reporter: khartsoe <khartsoe>
Component: DocumentationAssignee: Laura Bailey <lbailey>
Status: CLOSED CURRENTRELEASE QA Contact: SATHEESARAN <sasundar>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rhgs-3.2CC: rhs-bugs, sabose, sankarshan, storage-doc, storage-qa-internal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-29 04:11:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1277939    

Description khartsoe@redhat.com 2017-05-25 14:29:36 UTC
Document URL: 

Section Number and Name: 
(Sec 3.1 Physical Machines) https://doc-stage.usersys.
 redhat.com/documentation/en-us/red_hat_gluster_storage/3.
 2/html-single/deploying_red_hats_hyper-converged_infrastructure/#physical_
 machines

(Sec 3.3 Networking) https://doc-stage.usersys.
 redhat.com/documentation/en-us/red_hat_gluster_storage/3.
 2/html-single/deploying_red_hats_hyper-converged_
 infrastructure/#networking

Describe the issue: 
Need additional clarification regarding network and latency requirements

Suggestions for improvement: 
Please add clarification of the following requirements:

(1) Two network interfaces are required:
 -one front-end network for setting the ovirtmgmt bridge
 -one back-end network for probing gluster peers and setting up the volume

Two separate networks are required so that client and management traffic in
the cluster are separated.
- client and management traffic or data and management traffic ?

Red Hat recommends 10Gbps networks for best performance.
- This recommendation is for the backend network  (i.e one with storage and
migration traffic)

(2)Also, we need to call out that the IP addresses assigned to the front-end
network needs to be from same subnet. 

(3) Similarly for back-end network, all IP addresses need to from same subnet which is different from the front-end
network's subnet (Apparently this was not obvious to customer)



(4) Latency:
 RHGS requires a minimum latency of < 5ms between between the three machines


Additional information:

Comment 5 SATHEESARAN 2017-06-20 12:57:06 UTC
Verified with the docs that the requirement as stated in comment0 is available with the LIVE docs

Comment 6 Laura Bailey 2017-08-29 04:11:25 UTC
Fixed in RHGS 3.3 documentation.